/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2023 Sony Corporation. All rights reserved.
 */
#ifndef IFRTP_MDIO_H_
#define IFRTP_MDIO_H_

#include "io.h"

int __mdio_write16(uint8_t addr, uint16_t data, int area_no);
int __mdio_read16(uint8_t addr, uint16_t *data, int area_no);

bool ifrtp_mdio_sfp_is_linked_up(int interface);
int ifrtp_mdio_link_reset(int interface, int timeout_ms, int retry);
void ifrtp_mdio_link_power_down(int interface);

#endif  // IFRTP_MDIO_H_
